Sequel.migration do
  up do
    create_table(:polls) do
      primary_key :id                                              #
      String      :question       , :null=>false, :size=>80        #
      String      :organization_id, :null=>false, :size=>18        #
      String      :user_id        , :null=>false, :size=>18        #
      String      :username       , :null=>false, :size=>8         #
      String      :display_name   , :null=>false, :size=>121       #
      String      :email          , :null=>false, :size=>254       # needed to send out notifications
      Float       :response_count , :null=>false, :default=>0      #
      timestamp   :created_at     , :null=>false                   # 
      timestamp   :updated_at     , :null=>false                   # 
      index :organization_id                                       #
    end
    create_table(:choices) do
      primary_key :id                                              #
      foreign_key :poll_id, :polls                                 #
      String      :value         , :null=>false, :size=>80         #
      Integer     :sequence      , :null=>false                    #
      Float       :response_count, :null=>false, :default=>0       #
      timestamp   :created_at     , :null=>false                   # 
      timestamp   :updated_at     , :null=>false                   # 
    end
    create_table(:responses) do
      primary_key :id                                              #
      foreign_key :poll_id        , :polls                         #
      foreign_key :choice_id      , :choices                       #
      String      :user_id        , :null=>false, :size=>18        #
      timestamp   :created_at     , :null=>false                   # 
      timestamp   :updated_at     , :null=>false                   # 
      index :user_id
    end
  end
  down do
    drop_table(:responses)
    drop_table(:choices)
    drop_table(:polls)
  end
end
