class Choice < Sequel::Model
  many_to_one :poll
  plugin :validation_helpers
  plugin :timestamps,:update_on_create=>true

  def validate
    super
    validates_presence [:value], :message=>'You must enter a value'
    validates_max_length 80, :value, :allow_nil=>true, :message=>proc{|s| "must contain no more than #{s} characters"}
  end

  def response_percent
    if poll.response_count == nil || poll.response_count == 0
      0
    else
      ((self.response_count / poll.response_count)*100.0).round(2)
    end
  end

end
