class Poll < Sequel::Model
  one_to_many :choices
  plugin :nested_attributes
  nested_attributes :choices
  plugin :validation_helpers
  plugin :timestamps,:update_on_create=>true

  def validate
    super
    validates_presence [:question], :message=>'You must enter a value'
    validates_min_length 3, :question, :allow_nil=>true, :message=>proc{|s| "must contain at least #{s} characters"}
    validates_max_length 80, :question, :allow_nil=>true, :message=>proc{|s| "must contain no more than #{s} characters"}
  end

  def age_in_words
    distance_of_time_in_words(created_at,Time.now)
  end
end

#  def image_url
#    params = {
#      "chtt" => URI::escape(question),
#      "chd"  => ("t:" + choices.collect{|choice| choice.response_percent}.join(",")),
#      "chdl" => choices.collect{|choice| URI::escape(choice.value + " (" + choice.response_percent.to_s + "%)")}.join("|"),
#      "chl"  => choices.collect{|choice| URI::escape(choice.value + " (" + choice.response_percent.to_s + #"%)")}.join("|"),
#      "chs"  => "522x300",
#      "cht"  => "p",
#      "chds" => "6.667,56.667",
#      "chdlp"=> "l",
#      "chp"  => "0.467",
#      "chma" => "|3,22",
#      "chco" => "1798C1"
#    }
#    "http://chart.apis.google.com/chart?#{params.collect{|k,v| "#{k}=#{v}"}.join('&')}"
#  end

